[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Phpgroupware-tracker] [bug #6259] Upgrade from to latest CVS

From: nobody
Subject: [Phpgroupware-tracker] [bug #6259] Upgrade from to latest CVS failed
Date: Thu, 30 Oct 2003 23:59:13 -0500
User-agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031020 Debian/1.5-1

=================== BUG #6259: LATEST MODIFICATIONS ==================

Changes by: Dave Hall <address@hidden>
Date: Fri 10/31/03 at 15:59 (Australia/Melbourne)

            What     | Removed                   | Added
         Assigned to | skwashd                   | alexbsa

------------------ Additional Follow-up Comments ----------------------------
pass the buck!

=================== BUG #6259: FULL BUG SNAPSHOT ===================

Submitted by: mexico                  Project: phpGroupWare                 
Submitted on: Fri 10/31/03 at 10:48
Category:  API - Setup                Bug Group:  0.9.16RC1                 
Severity:  5 - Major                  Priority:  High                       
Resolution:  None                     Assigned to:  alexbsa                 
Status:  Open                         Component Version:  CVS               
Platform Version:  Linux - Debian     Reproducibility:  Every Time          

Summary:  Upgrade from to latest CVS failed

Original Submission:  System info:

Linux Debian sid

Apache 1.3.28

PHP 4.3.3

PostgreSQL 7.3.4

phpgroupware (latest CVS update)

After installing latest CVS version (, which is working fine if 
installed on clear database), I tryied to upgrade from old version 
( In Setup, when selected Upgrade, upgrade halted with error 

Database error: Invalid SQL: INSERT INTO phpgw_access_log () VALUES ()

PostgreSQL Error: 1 (ERROR: parser: parse error at or near ")" at character 31 )

when activate debug in setup/index.php,

I've got a messages, which ends with:

process->upgrade(): appname: phpgwapi

process->upgrade(): currentver:

process->upgrade(): targetver:

process->upgrade(): status: R

process->upgrade(): checking:

process->upgrade(): function: phpgwapi_upgrade0_9_14_505

process->upgrade(): running phpgwapi_upgrade0_9_14_505

DropSequenceForTable: phpgw_access_log

GetSequenceForTable: phpgw_access_log

DropSequenceForTable: phpgw_access_log

GetSequenceForTable: phpgw_access_logDatabase error: Invalid SQL: INSERT INTO 
phpgw_access_log () VALUES ()

PostgreSQL Error: 1 (ERROR: parser: parse error at or near ")" at character 31 )

after this, I look in database, and I found missing table phpgw_acces_log, 
there is only phpgw_acces_log_tmp with old structure. After trying read/debug 
PHP code, it's look that error is in function _CopyAlteredTable in in phpgwapi (not create values for SQL 

At this time, I can't debug php code, maybe tomorow for next info.

Follow-up Comments

Date: Fri 10/31/03 at 15:59         By: skwashd
pass the buck!

Date: Fri 10/31/03 at 13:30         By: cw
Well, I was assigned i'm sure cause Dave thought this was related to the ERROR 
log changes I imported, but it's not.  This is a problem in the pgsql schema 
proc and is also much earlier than the error log code anyway :P

Since I have not a pgsql server, nor do I know pgsql quirks I ask to have this 
reassigned to someone that does.

To help though, since this step changes a varchar(255) to an int(4) I wonder if 
any data in your table in the 'lo' column was not really an int or null.  I 
know we have people using pgsql and I think at least one did an upgrade, so I 
wonder if it's odd data related.

CC list is empty

No files currently attached

For detailed info, follow this link:

  Message sent via/by Savannah

reply via email to

[Prev in Thread] Current Thread [Next in Thread]